﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FlexGridCurrency
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void _flex_OwnerDrawCell(object sender, C1.Win.C1FlexGrid.OwnerDrawCellEventArgs e)
        {
            switch (_flex.Cols[e.Col].Name)
            {
                case "Pound": try
                    {
                        int i = (int)this._flex[e.Row, e.Col];
                        e.Text = string.Format("{0:£#,##0}", i);
                    }
                    catch { }
                    break;

                case "Dollar": try
                    {
                        int i = (int)this._flex[e.Row, e.Col];
                        e.Text = string.Format("{0:$#,##0}", i);
                    }
                    catch { }
                    break;

                case "Euro":
                    try
                    {
                        int i = (int)this._flex[e.Row, e.Col];
                        e.Text = string.Format("{0:€#,##0}", i);
                    }
                    catch { }
                    break;

                case "Yen/Yuan":
                    try
                    {
                        int i = (int)this._flex[e.Row, e.Col];
                        e.Text = string.Format("{0:¥#,##0}", i);
                    }
                    catch { }
                    break;

                case "Won":
                    try
                    {
                        int i = (int)this._flex[e.Row, e.Col];
                        e.Text = string.Format("{0:₩#,##0}", i);
                    }
                    catch { }
                    break;

                default: break;

            }
            
        }

        private void FillData_Click(object sender, EventArgs e)
        {
            Random random = new Random();
            for (int row = _flex.Rows.Fixed + _flex.Rows.Frozen; row < _flex.Rows.Count; row++)
            {
                for (int col = _flex.Cols.Fixed + _flex.Cols.Frozen; col < _flex.Cols.Count; col++)
                {
                    _flex[row, col] = random.Next(0, Int32.MaxValue);
                }

            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            _flex.Cols[1].Name = "Pound";
            _flex.Cols[2].Name = "Dollar";
            _flex.Cols[3].Name = "Euro";
            _flex.Cols[4].Name = "Yen/Yuan";
            _flex.Cols[5].Name = "Won";
            _flex.Cols[2].TextAlign = C1.Win.C1FlexGrid.TextAlignEnum.LeftCenter;
        }



    }
}
